=== gimp-print/debian/changelog ===
gimp-print (5.0.0-alpha3-1) unstable; urgency=low

  * New upstream alpha release.
  * Build a static libgimpprintui only.
  * Remove libgimpprintui packages.
  * libgimpprint-doc: Fix documentation installation for new API
    reference and developer's reference.
  * cupsys-driver-gimpprint: remove PPDs on removal.

 -- Roger Leigh <rleigh@debian.org>  Sun, 23 May 2004 12:41:20 +0100

gimp-print (5.0.0-alpha2-1) unstable; urgency=low

  * New upstream alpha release.

 -- Roger Leigh <rleigh@debian.org>  Thu,  8 Apr 2004 20:08:11 +0100

gimp-print (5.0.0-alpha1-2) unstable; urgency=low

  * Synchronise packaging changes from Debian 4.2.6-4 packaging:
    - Change Recommends on gimpprint-locales to Suggests.
    - Updated debian/copyright to include the GFDL-licensed User's
      Guide.
    - Remove bison from Build-Depends, since it is not strictly
      required.
  * Update to Standards-Version 3.6.1
  * libgimpprint-doc: distribute gimpprint.pdf; gimpprint.ps is
    no longer created.

 -- Roger Leigh <rleigh@debian.org>  Mon, 15 Mar 2004 23:48:25 +0000

gimp-print (5.0.0-alpha1-1) unstable; urgency=low

  * New upstream alpha release.
  * Updated all hard-coded instances of "4.3" to "5.0".

 -- Roger Leigh <rleigh@debian.org>  Sun,  8 Feb 2004 19:55:10 +0000

gimp-print (4.3.25-1) unstable; urgency=low

  * New upstream development release.
  * Use new versioned CUPS executables.
  * Fix libgimpprintui header and pkg-config data installation.

 -- Roger Leigh <rleigh@debian.org>  Sun,  4 Jan 2004 10:29:10 +0000

gimp-print (4.3.21-1) unstable; urgency=low

  * New upstream development release.
  * Synchronise package descriptions with gimp-print 4.2.5-5 in Debian
    unstable.
  * Update dependencies in line with gimp-print 4.2.5-5.
  * gimp1.2-print renamed to gimp-print.  The gimp1.2 package has been
    renamed to gimp.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Wed,  1 Oct 2003 21:14:11 +0100

gimp-print (4.3.17-1) unstable; urgency=low

  * New upstream development release.
  * Build-Depends: add libcupsimage2-dev; remove libtool
  
 -- Roger Leigh <roger@whinlatter.uklinux.net>  Sun, 29 Jun 2003 16:34:15 +0100

gimp-print (4.3.14-1) unstable; urgency=low

  * New upstream development release.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Thu,  8 May 2003 23:54:22 +0100

gimp-print (4.3.12-1) unstable; urgency=low

  * New upstream development release.
  * Move libgimpprint-dev to section libdevel.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Tue,  1 Apr 2003 16:41:08 +0100

gimp-print (4.3.9-1) unstable; urgency=low

  * New upstream development release.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Fri, 14 Feb 2003 20:46:05 +0000

gimp-print (4.3.8-1) unstable; urgency=low

  * New upstream development release (4.3.8).
  * cupsys-driver-gimpprint generates the PPDs in postinst, and removes them
    in prerm

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Mon, 20 Jan 2003 19:04:04 +0000

gimp-print (4.3.7-1) unstable; urgency=low

  * New upstream development release (4.3.7).
  * Add new library packages libgimpprintui and libgimpprintui-dev.
  * Add modules and XML data to libgimpprint.
  * Add cups-genppdupdate to cupsys-driver-gimpprint, and run in in
    postinst.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Sun, 12 Jan 2003 20:03:01 +0000

gimp-print (4.3.6-1) unstable; urgency=low

  * New upstream development release (4.3.6)
  * Update to Standards-Version 3.5.7
  * Add cups-genppdconfig to cupsys-driver-gimpprint
  * Use debian/build and debian/install instead of debian/gimp-print-build
    and debian/gimp-print-install, respectively.
  * Use dh_install rather than dh_movefiles.  This makes debian/rules
    slightly cleaner, and debian/install is unchanged after install.
  * Create symlinks for HTML manuals, since different versions of
    texi2html and db2html create different names.
  * Make the dependencies sane (remove incorrect dependencies, and correct
    dubious ones).  foomatic-db-gimp-print now depends only upon foomatic-db
    and ijsgimpprint. 

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Tue, 10 Dec 2002 15:28:44 +0000

gimp-print (4.3.5-1) unstable; urgency=low

  * New upstream development release (4.3.5)
  * New package ijsgimpprint.  This provides an IJS server for use
    with ghostscript.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Wed,  9 Oct 2002 21:26:31 +0100

gimp-print (4.3.4-2) unstable; urgency=low

  * Fixed doc-base problems in libgimpprint-doc.  The doc-base file is
    generated with sed to insert the version number.
  * libgimpprint$(VERSION)-doc provides and conflicts with a virtual
    package libgimpprint-doc to prevent clashes with gimpprint.info docs.
    
 -- Roger Leigh <roger@whinlatter.uklinux.net>  Thu,  1 Aug 2002 12:19:42 +0100

gimp-print (4.3.4-1) unstable; urgency=low

  * New upstream development release (4.3.4)

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Sat, 20 Jul 2002 18:56:44 +0100

gimp-print (4.3.1-1) unstable; urgency=low

  * Move escputil to section utils
  * Upgrade to debhelper version 4
  * Automate library versioning to work for stable and unstable series.
    LIBRARY_VERSION is the library major version or -UPSTREAM_VERSION
  * Update configure regeneration to work with configure.ac
  * libgimpprint$(VERSION)-dev provides and conflicts with a virtual
    package `libgimpprint-dev'
  * Remove libgimpprint.postinst as ldconfig is called by debhelper
  * Sync package descriptions with the 4.2 stable branch

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Sat, 18 May 2002 18:32:19 +0100

gimp-print (4.3.0-1) unstable; urgency=low

  * New upstream development release (4.3.0)
  * Fix libgimpprint.postinst to use 'if' instead of 'case', removing a
    lintian warning.
  * Split out the message catalogues from the libgimpprint package into
    a new gimpprint-locales package to avoid filename conflicts when
    multiple libgimpprint versions are installed concurrently.

